%% Header
% Purpose:  Function which introduces modelling error to the
%           process transfer function, such that it differs from
%           the model used in the Smith Predictor calculations. 
% Author:   Axel Lodemel Holene
% E-mail:   axel.holene@gmail.com
% Date:     13. February 2013
% About:    G - model struct returned from model.m
%           d - disturbance factor

function Gse = distModel(G, d)
    s = zpk('s') ;  
    Gse         = G ;
    Gse.origMod = G ;
    Gse.theta   = (1 + d)*G.theta ;
    Gse.tf = G.tfnd*exp(-Gse.theta*s) ;
end