%% Header
% Purpose:  Returning init. values for optimization from model ID
% Author:   Axel Lodemel Holene
% E-mail:   axel.holene@gmail.com
% Date:     13. February 2013
% About:    init = [iae_y ; iae_d ; pareto]

function init = initValues(parm)
    modelId = parm.modelId ;
    cType   = parm.cType ;
    ctrlr   = parm.ctrlr ;
    cNum    = parm.cNum ;

    switch cType
        case 1 % PO
            switch ctrlr
                case 1 % PID
                    switch cNum
                        case 1 % Chriss values
                            switch modelId
                                case 1
                                    init = [1.8486 0.2976 0.2321 ;
                                            1.9974 0.3233 0.2406 ;
                                            1.1194 0.3275 0.2638 ] ;
                                case 2
                                    init = [2.0566 0.2547 0.2699 ;
                                            2.2294 0.2809 0.2795 ;
                                            1.2524 0.2873 0.3027 ] ;
                                case 3
                                    init = [1.7468 0.3312 0.1996 ; 
                                            1.8863 0.3572 0.2076 ; 
                                            1.0546 0.3603 0.2309 ] ;
                                case 4
                                    init = [4.4974 0.3266 0.1800 ;
                                            5.2921 0.4244 0.1505 ;
                                            2.6581 0.4077 0.1645 ] ;
                                case 5
                                    init = [3.4497 0.2689 0.2434 ;
                                            3.8393 0.3371 0.2224 ;
                                            2.0308 0.3374 0.2361 ] ;
                                case 6
                                    init = [6.3862 0.3774 0.1251 ;
                                            9.0004 0.5500 0.0867 ;
                                            4.0203 0.4907 0.1032 ] ;
                                case 7
                                    init = [5.9076 0.3270 0.1773 ;
                                            7.4737 0.4608 0.1316 ;
                                            3.4348 0.4083 0.1532 ] ;
                                case 8
                                    init = [4.5005 0.2719 0.2371 ;
                                            5.1083 0.3579 0.2007 ;
                                            2.5717 0.3410 0.2186 ] ;
                                case 9
                                    init = [8.4814 0.3796 0.1219 ;
                                            13.0195 0.5817 0.0740 ;
                                            5.4169 0.5027 0.0941 ] ;
                                case 10
                                    init = [0.8216 0.0003 0.2429 ;
                                            % 1.1105 0.1965 0.2437 ;
                                            1.1 0.2 0.25 ;
                                            % 0.5304 0.1144 0.3040] ;
                                            0.5 0.1 0.3 ] ;
                                case 11
                                    init = [1.8106 0.3767 0.1508 ;
                                            2.0336 0.4223 0.1568 ;
                                            1.3500 0.4500 0.1350] ;
                                case 12
                                    init = [7.3804 0.0842 0.2155 ;
                                            9.7846 0.2457 0.2261 ;
                                            4.6914 0.1757 0.2437 ] ;
                                case 13
                                    init = [0.8378 0.7484 0.0044 ;
                                            0.8237 0.7521 0.0015;
                                            0.8250 0.7576 0 ] ;
                            end % end switch modelId
                        case 2 % Parallel values
                            switch modelId
                                case 1
                                    init = [0.8540 0.4185 ;               % IAE0_y
                                            0.8287 0.4377 ;               % IAE0_d
                                            0.4180 0.4398 ] ;% Pareto optimization
                                case 2
                                    init = [0.8647 0.3781 ;
                                            0.8324 0.4001 ;
                                            0.4158 0.4039 ] ;
                                case 3
                                    init = [0.8803 0.4439 ; 
                                            0.8579 0.4622 ; 
                                            0.4338 0.4640 ] ;
                                case 4
                                    init = [1.7960 0.4054 ;
                                            1.7024 0.4602 ;
                                            0.8020 0.4633 ] ;
                                case 5
                                    init = [1.3179 0.3681 ;
                                            1.2454 0.4088 ;
                                            0.5983 0.4145 ] ;
                                case 6
                                    init = [2.7077 0.4360 ;
                                            2.6025 0.5145 ;
                                            1.2037 0.5038 ] ;
                                case 7
                                    init = [2.1404 0.4022 ;
                                            2.0171 0.4645 ;
                                            0.9347 0.4627 ] ;
                                case 8
                                    init = [1.5827 0.3608 ;
                                            1.4804 0.4117 ;
                                            0.6990 0.4152 ] ;
                                case 9
                                    init = [3.2223 0.4276 ;
                                            3.0833 0.5222 ;
                                            1.4053 0.5020 ] ;
                            end % end switch modelId
                        case 3 % AltParallel values
                            switch modelId
                                case 1
                            end % end switch modelId
                        case 4 % Cascade values
                            switch modelId
                                case 1
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.2106 0.7913 0.7913] ;
                                    % init = [1.1196 0.3275 0.2639] ;
                                case 2
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.2349 0.9275 0.9287] ;
                                    % init = [1.2524 0.2873 0.3027] ;
                                case 3
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.2018 0.7017 0.7018] ;
                                    % init = [1.0546 0.3603 0.2309] ;
                                case 4
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.5570 0.6607 0.6605] ;
                                    % init = [2.6588 0.4077 0.1646] ;
                                case 5
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.4077 0.8463 0.8464] ;
                                    % init = [2.0233 0.3357 0.2362] ;
                                case 6
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.8140 0.4777 0.4775] ;
                                    % init = [3.9206 0.4786 0.1050] ;
                                case 7
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.7461 0.6356 0.6351] ;
                                    % init = [3.4494 0.4107 0.1527] ;
                                case 8
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.5475 0.8286 0.8284] ;
                                    % init = [2.5556 0.3376 0.2192] ;
                                case 9
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            1.0920 0.4499 0.4492] ;
                                    % init = [5.3346 0.4952 0.0954] ;
                                case 10
                                    init = [1 1 1;
                                            1 1 1;
                                            0.3258 5.8437 0.4221 ] ;
                                case 11
                                    init = [1 1 1;
                                            1 1 1;
                                            0.4503 1.0024 0.4198 ] ;
                                case 12
                                    init = [1 1 1;
                                            1 1 1;
                                            2.7234 3.3003 0.4207 ] ;
                                case 13
                                    init = [1 1 1;
                                            1 1 1;
                                            % 2.7235 3.3011 0.4206 ] ;
                                            0.1 0.1 0.1 ] ;
                            end % end switch modelId
                    end % end switch cNum
                case 2 % PI
                    switch cNum
                        case 1    % Chriss
                            switch modelId
                                case 1
                                    init = [0.8540 0.4185 ;
                                            0.8287 0.4377 ;
                                            0.4180 0.4398 ] ;
                                case 2
                                    init = [0.8647 0.3781 ;
                                            0.8324 0.4001 ;
                                            0.4158 0.4039 ] ;
                                case 3
                                    init = [0.8803 0.4439 ; 
                                            0.8579 0.4622 ; 
                                            0.4338 0.4640 ] ;
                                case 4
                                    init = [1.7960 0.4054 ;
                                            1.7024 0.4602 ;
                                            0.8020 0.4633 ] ;
                                case 5
                                    init = [1.3179 0.3681 ;
                                            1.2454 0.4088 ;
                                            0.5983 0.4145 ] ;
                                case 6
                                    init = [2.7077 0.4360 ;
                                            2.6025 0.5145 ;
                                            1.2037 0.5038 ] ;
                                case 7
                                    init = [2.1404 0.4022 ;
                                            2.0171 0.4645 ;
                                            0.9347 0.4627 ] ;
                                case 8
                                    init = [1.5827 0.3608 ;
                                            1.4804 0.4117 ;
                                            0.6990 0.4152 ] ;
                                case 9
                                    init = [3.2223 0.4276 ;
                                            3.0833 0.5222 ;
                                            1.4053 0.5020 ] ;
                                case 10
                                    init = [1 0.1 ;
                                            0.6 0.2 ;
                                            0.24 0.07 ] ;
                                case 11
                                    init = [1.04 0.47 ;
                                            1.02 0.49 ;
                                            0.51 0.49 ] ;
                                case 12
                                    init = [4.5 0.11 ;
                                            4.23 0.21 ;
                                            2.14 0.16 ] ;
                                case 13
                                    init = [0.19 3.14 ;
                                            0.1 2 ;
                                            0.44 0.74 ] ;
                            end % end switch modelId
                        case 2
                            switch modelId
                                case 1
                                    init = [0.8540 0.4185 ;
                                            0.8287 0.4377 ;
                                            0.4180 0.4398 ] ;
                                case 2
                                    init = [0.8647 0.3781 ;
                                            0.8324 0.4001 ;
                                            0.4158 0.4039 ] ;
                                case 3
                                    init = [0.8803 0.4439 ; 
                                            0.8579 0.4622 ; 
                                            0.4338 0.4640 ] ;
                                case 4
                                    init = [1.7960 0.4054 ;
                                            1.7024 0.4602 ;
                                            0.8020 0.4633 ] ;
                                case 5
                                    init = [1.3179 0.3681 ;
                                            1.2454 0.4088 ;
                                            0.5983 0.4145 ] ;
                                case 6
                                    init = [2.7077 0.4360 ;
                                            2.6025 0.5145 ;
                                            1.2037 0.5038 ] ;
                                case 7
                                    init = [2.1404 0.4022 ;
                                            2.0171 0.4645 ;
                                            0.9347 0.4627 ] ;
                                case 8
                                    init = [1.5827 0.3608 ;
                                            1.4804 0.4117 ;
                                            0.6990 0.4152 ] ;
                                case 9
                                    init = [3.2223 0.4276 ;
                                            3.0833 0.5222 ;
                                            1.4053 0.5020 ] ;
                                case 10
                                    init = [1 0.1 ;
                                            0.6 0.2 ;
                                            0.24 0.07 ] ;
                                case 11
                                    init = [1.04 0.47 ;
                                            1.02 0.49 ;
                                            0.51 0.49 ] ;
                                case 12
                                    init = [4.5 0.11 ;
                                            4.23 0.21 ;
                                            2.14 0.16 ] ;
                                case 13
                                    init = [0.19 3.14 ;
                                            0.1 2 ;
                                            0.44 0.74 ] ;
                            end % end switch modelId
                        case 3
                        case 4
                            switch modelId
                                case 1
                                    init = [0.8540 0.4185 ;
                                            0.8287 0.4377 ;
                                            0.4180 0.4398 ] ;
                                case 2
                                    init = [0.8647 0.3781 ;
                                            0.8324 0.4001 ;
                                            0.4158 0.4039 ] ;
                                case 3
                                    init = [0.8803 0.4439 ; 
                                            0.8579 0.4622 ; 
                                            0.4338 0.4640 ] ;
                                case 4
                                    init = [1.7960 0.4054 ;
                                            1.7024 0.4602 ;
                                            0.8020 0.4633 ] ;
                                case 5
                                    init = [1.3179 0.3681 ;
                                            1.2454 0.4088 ;
                                            0.5983 0.4145 ] ;
                                case 6
                                    init = [2.7077 0.4360 ;
                                            2.6025 0.5145 ;
                                            1.2037 0.5038 ] ;
                                case 7
                                    init = [2.1404 0.4022 ;
                                            2.0171 0.4645 ;
                                            0.9347 0.4627 ] ;
                                case 8
                                    init = [1.5827 0.3608 ;
                                            1.4804 0.4117 ;
                                            0.6990 0.4152 ] ;
                                case 9
                                    init = [3.2223 0.4276 ;
                                            3.0833 0.5222 ;
                                            1.4053 0.5020 ] ;
                                case 10
                                    init = [1 0.1 ;
                                            0.6    0.2 ;
                                            0.2101 10.7132 ] ;
                                case 11
                                    init = [1.04 0.47 ;
                                            1.02 0.49 ;
                                            0.51 0.49 ] ;
                                case 12
                                    init = [4.5 0.11 ;
                                            4.23 0.21 ;
                                            0.5 0.8 ] ;
                                case 13
                                    init = [0.19 3.14 ;
                                            0.1 2 ;
                                            0.44 0.74 ] ;
                            end % end switch modelId
                    end % end switch cNum
                case 3 % P
                    switch modelId
                        case 1
                            init = [1 ; 1 ; 0.4232] ;
                        case 2
                            init = [1 ; 1 ; 1] ;
                        case 3
                            init = [1 ; 1 ; 1] ;
                        case 4
                            init = [1 ; 1 ; 1] ;
                        case 5
                            init = [1 ; 1 ; 1] ;
                        case 6
                            init = [1 ; 1 ; 1] ;
                        case 7
                            init = [1 ; 1 ; 1] ;
                        case 8
                            init = [1 ; 1 ; 1] ;
                        case 9
                            init = [1 ; 1 ; 1] ;
                        case 10
                            init = [1 ; 1 ; 1] ;
                        case 11
                            init = [1 ; 1 ; 1] ;
                        case 12
                            init = [1 ; 1 ; 1] ;
                        case 13
                            init = [1 ; 1 ; 1] ;
                    end % end switch modelId
            end % end switch ctrlr
        case 2 % SIMC
            init = 0 ;
        case 3 % Smith
            switch ctrlr
                case 1 % PID
                    switch cNum
                        case 1
                            switch modelId
                                case 1
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            1.7929 0.3563 0.2657 ] ;
                                case 2
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            1.9816 0.3145 0.3023 ] ;
                                case 3
                                    init = [1 1 1 ; 
                                            1 1 1 ; 
                                            1.72 0.39 0.23 ] ;
                                case 4
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            4.4767 0.4695 0.1505 ] ;
                                case 5
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            3.2484 0.3752 0.2279 ] ;
                                case 6
                                    init = [6.3862 0.3774 0.1251 ;
                                            9.0004 0.5500 0.0867 ;
                                            4.0203 0.4907 0.1032 ] ;
                                case 7
                                    init = [5.9076 0.3270 0.1773 ;
                                            7.4737 0.4608 0.1316 ;
                                            3.4348 0.4083 0.1532 ] ;
                                case 8
                                    init = [4.5005 0.2719 0.2371 ;
                                            5.1083 0.3579 0.2007 ;
                                            2.5717 0.3410 0.2186 ] ;
                                case 9
                                    init = [8.4814 0.3796 0.1219 ;
                                            13.0195 0.5817 0.0740 ;
                                            5.4169 0.5027 0.0941 ] ;
                                case 10
                                    init = [0.8216 0.0003 0.2429 ;
                                            % 1.1105 0.1965 0.2437 ;
                                            1.1 0.2 0.25 ;
                                            % 0.5304 0.1144 0.3040] ;
                                            0.5 0.1 0.3 ] ;
                                case 11
                                    init = [1.8106 0.3767 0.1508 ;
                                            2.0336 0.4223 0.1568 ;
                                            1.3500 0.4500 0.1350] ;
                                case 12
                                    init = [7.3804 0.0842 0.2155 ;
                                            9.7846 0.2457 0.2261 ;
                                            4.6914 0.1757 0.2437 ] ;
                                case 13
                                    init = [0.8378 0.7484 0.0044 ;
                                            0.8237 0.7521 0.0015;
                                            0.8250 0.7576 0 ] ;
                            end % end switch modelId
                        case 2
                        case 3
                            switch modelId
                                case 1
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.4570 0.8034 0.6488 ] ;
                                case 2
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.5134 0.7011 0.7388 ] ;
                                case 3
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.4312 0.8811 0.5645 ] ;
                                case 4
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            1.1372 0.9777 0.3882 ] ;
                                case 5
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.8662 0.7902 0.5529 ] ;
                                case 6
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            1.6325 1.1884 0.2538 ] ;
                                case 7
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            1.5061 0.9707 0.3521 ] ;
                                case 8
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            1.1327 0.7859 0.4992 ] ;
                                case 9
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            1.5 0.2 0.2 ] ;
                                case 10
                                    init = [1 1 1;
                                            1 1 1;
                                            0.3256 0.1811 0.4291] ;
                                case 11
                                    init = [1 1 1;
                                            1 1 1;
                                            0.4503 0.9976 0.4199] ;
                                case 12 
                                    init = [1 1 1;
                                            1 1 1;
                                            2.7235 0.3029 0.4205 ] ;
                                case 13
                                    init = [1 1 1;
                                            1 1 1;
                                            0.1176 2.7928 0.0170 ] ;
                            end
                        case 4
                            switch modelId
                                case 1
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.2858 0.9745 0.2081] ;
                                            % 1 0.1 0.1 ] ;
                                            % 0.32 0.79 0.77] ;
                                    % init = [1.1196 0.3275 0.2639] ;
                                case 2
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            % 0.2349 0.9275 0.9287] ;ctrl
                                            0.35 0.93 0.91] ;
                                case 3
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.2018 0.7017 0.7018] ;
                                    % init = [1.0546 0.3603 0.2309] ;
                                case 4
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.5570 0.6607 0.6605] ;
                                    % init = [2.6588 0.4077 0.1646] ;
                                case 5
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.4077 0.8463 0.8464] ;
                                    % init = [2.0233 0.3357 0.2362] ;
                                case 6
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.8140 0.4777 0.4775] ;
                                    % init = [3.9206 0.4786 0.1050] ;
                                case 7
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.7461 0.6356 0.6351] ;
                                    % init = [3.4494 0.4107 0.1527] ;
                                case 8
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            0.5475 0.8286 0.8284] ;
                                    % init = [2.5556 0.3376 0.2192] ;
                                case 9
                                    init = [1 1 1 ;
                                            1 1 1 ;
                                            1.0920 0.4499 0.4492] ;
                                    % init = [5.3346 0.4952 0.0954] ;
                                case 10
                                    init = [1 1 1;
                                            1 1 1;
                                            0.2971 5.0103 0.4748 ] ;
                                case 11
                                    init = [1 1 1;
                                            1 1 1;
                                            0.4503 1.0024 0.4198 ] ;
                                case 12
                                    init = [1 1 1;
                                            1 1 1;
                                            2.7234 3.3003 0.4207 ] ;
                                case 13
                                    init = [1 1 1;
                                            1 1 1;
                                            2.7235 3.3011 0.4206 ] ;
                            end
                    end % end switch cNum
                case 2 % PI
                    switch cNum
                        case 1
                            switch modelId
                                case 1
                                    init = [0.8540 0.4185 ;
                                            0.8287 0.4377 ;
                                            % 0.4180 0.4398 ] ;
                                            0.30 0.83 ];
                                case 2
                                    init = [0.8647 0.3781 ;
                                            0.8324 0.4001 ;
                                            0.3281 0.6769 ] ;
                                case 3
                                    init = [0.8803 0.4439 ; 
                                            0.8579 0.4622 ; 
                                            0.3218 0.8720 ] ;
                                case 4
                                    init = [1.7960 0.4054 ;
                                            1.7024 0.4602 ;
                                            0.8020 0.4633 ] ;
                                case 5
                                    init = [1.3179 0.3681 ;
                                            1.2454 0.4088 ;
                                            0.5983 0.4145 ] ;
                                case 6
                                    init = [2.7077 0.4360 ;
                                            2.6025 0.5145 ;
                                            1.2037 0.5038 ] ;
                                case 7
                                    init = [2.1404 0.4022 ;
                                            2.0171 0.4645 ;
                                            0.9347 0.4627 ] ;
                                case 8
                                    init = [1.5827 0.3608 ;
                                            1.4804 0.4117 ;
                                            0.6990 0.4152 ] ;
                                case 9
                                    init = [3.2223 0.4276 ;
                                            3.0833 0.5222 ;
                                            1.4053 0.5020 ] ;
                                case 10
                                    init = [1 0.1 ;
                                            0.6 0.2 ;
                                            0.24 0.07 ] ;
                                case 11
                                    init = [1.04 0.47 ;
                                            1.02 0.49 ;
                                            0.51 0.49 ] ;
                                case 12
                                    init = [4.5 0.11 ;
                                            4.23 0.21 ;
                                            2.14 0.16 ] ;
                                case 13
                                    init = [0.19 3.14 ;
                                            0.1 2 ;
                                            0.44 0.74 ] ;
                            end
                        case 2
                        case 3
                            switch modelId
                                case 1
                                    init = [0.8540 0.4185 ;
                                            0.8287 0.4377 ;
                                            % 0.4180 0.4398 ] ;
                                            0.30 0.83 ];
                                case 2
                                    init = [0.8647 0.3781 ;
                                            0.8324 0.4001 ;
                                            0.3281 0.6769 ] ;
                                case 3
                                    init = [0.8803 0.4439 ; 
                                            0.8579 0.4622 ; 
                                            0.3218 0.8720 ] ;
                                case 4
                                    init = [1.7960 0.4054 ;
                                            1.7024 0.4602 ;
                                            0.55 0.85 ] ;
                                case 5
                                    init = [1.3179 0.3681 ;
                                            1.2454 0.4088 ;
                                            0.4305 0.7243 ] ;
                                case 6
                                    init = [2.7077 0.4360 ;
                                            2.6025 0.5145 ;
                                            1.2037 0.5038 ] ;
                                case 7
                                    init = [2.1404 0.4022 ;
                                            2.0171 0.4645 ;
                                            0.6162 0.8535 ] ;
                                case 8
                                    init = [1.5827 0.3608 ;
                                            1.4804 0.4117 ;
                                            0.6990 0.4152 ] ;
                                case 9
                                    init = [3.2223 0.4276 ;
                                            3.0833 0.5222 ;
                                            0.8475 1.0090 ] ;
                                case 10
                                    init = [1 0.1 ;
                                            0.6 0.2 ;
                                            % 0.24 0.07 ] ;
                                            % 0.5 1] ;
                                            0.3 0.14] ;
                                case 11
                                    init = [1.04 0.47 ;
                                            1.02 0.49 ;
                                            0.51 0.49 ] ;
                                case 12
                                    init = [4.5 0.11 ;
                                            4.23 0.21 ;
                                            2.14 0.16 ] ;
                                case 13
                                    init = [0.19 3.14 ;
                                            0.1 2 ;
                                            0.44 0.74 ] ;
                            end
                        case 4
                            switch modelId
                                case 1
                                    init = [0.8540 0.4185 ;
                                            0.8287 0.4377 ;
                                            % 0.4180 0.4398 ] ;
                                            0.30 0.83 ];
                                case 2
                                    init = [0.8647 0.3781 ;
                                            0.8324 0.4001 ;
                                            0.3281 0.6769 ] ;
                                case 3
                                    init = [0.8803 0.4439 ; 
                                            0.8579 0.4622 ; 
                                            0.3218 0.8720 ] ;
                                case 4
                                    init = [1.7960 0.4054 ;
                                            1.7024 0.4602 ;
                                            0.55 0.85 ] ;
                                case 5
                                    init = [1.3179 0.3681 ;
                                            1.2454 0.4088 ;
                                            0.4305 0.7243 ] ;
                                case 6
                                    init = [2.7077 0.4360 ;
                                            2.6025 0.5145 ;
                                            1.2037 0.5038 ] ;
                                case 7
                                    init = [2.1404 0.4022 ;
                                            2.0171 0.4645 ;
                                            0.6162 0.8535 ] ;
                                case 8
                                    init = [1.5827 0.3608 ;
                                            1.4804 0.4117 ;
                                            0.6990 0.4152 ] ;
                                case 9
                                    init = [3.2223 0.4276 ;
                                            3.0833 0.5222 ;
                                            0.8475 1.0090 ] ;
                                case 10
                                    init = [1 0.1 ;
                                            0.6 0.2 ;
                                            0.30 7.34] ;
                                case 11
                                    init = [1.04 0.47 ;
                                            1.02 0.49 ;
                                            0.38 1.00 ] ;
                                case 12
                                    init = [4.5 0.11 ;
                                            4.23 0.21 ;
                                            0.5 0.8 ] ;
                                case 13
                                    init = [0.19 3.14 ;
                                            0.1 2 ;
                                            0.44 0.74 ] ;
                            end % end switch modelId
                    end % end switch cNum
                case 3 % P
                    switch modelId
                        case 1
                            init = [1 ; 1 ; 0.59] ;
                        case 2
                            init = [1 ; 1 ; 0.63] ;
                        case 3
                            init = [1 ; 1 ; 1] ;
                        case 4
                            init = [1 ; 1 ; 1] ;
                        case 5
                            init = [1 ; 1 ; 1] ;
                        case 6
                            init = [1 ; 1 ; 1] ;
                        case 7
                            init = [1 ; 1 ; 1] ;
                        case 8
                            init = [1 ; 1 ; 1] ;
                        case 9
                            init = [1 ; 1 ; 1] ;
                        case 10
                            init = [1 ; 1 ; 1.5] ;
                        case 11
                            init = [1 ; 1 ; 1] ;
                        case 12
                            init = [1 ; 1 ; 1] ;
                        case 13
                            init = [1 ; 1 ; 1] ;
                    end % end switch modelId
            end % end switch ctrlr
        case 4
            init = 0 ;
    end
end