%% Header
% Purpose:  Using the half-rule to reduce second order tfs to 
%           first order tfs
% Author:   Axel Lødemel Holene.
% E-mail:   axel.holene@gmail.com
% Date:     13. February 2013
% About:    G: second order model
%           H: reduced first order model

function H = halfrule(G)
    s = zpk('s') ;

    H.k = G.k ;
    H.tau1 = G.tau1 + G.tau2/2 ;
    H.theta = G.theta + G.tau2/2 ;
    H.tf = H.k/(H.tau1*s + 1)*exp(-H.theta*s) ;
end