%% Header
% Purpose:  Function calculating the integrated absolute error as
%           a function of controller tunings
% Author:   Axel Lødemel Holene
% E-mail:   axel.holene@gmail.com
% Date:     13. February 2013
% About:    

function iae = iaeSimc(C, parm)
    global G 

    Gy = 1/(1+G.tf*C.tf) ;         % Input feedback loop tf(y->e)
    Gd = -G.tf/(1+G.tf*C.tf) ;     % Dist. feedback loop tf(d->e)
    %% Output response
    [e t] = step([Gy; Gd], parm.simTime) ;

    %% IAE calculation
    iae = trapz(t, abs(e));
end