%% Header
% Purpose:  Creating the process transfer function G (struct).
% Author:   Axel Lødemel Holene (based on work done by Chriss
%           Grimholt (2011)).
% E-mail:   axel.holene@gmail.com
% Date:     13. February 2013
% About:    

function J = simcCost(C, parm)
    global G
    
    Gy = 1/(1+G.tf*C.tf) ;         % Input feedback loop tf(y->e)
    Gd = -G.tf/(1+G.tf*C.tf) ;     % Dist. feedback loop tf(d->e)
    %% Output response
    [e t] = step([Gy; Gd], parm.simTime) ;
    %% Cost calculations
    IAE_0 = trapz(t, abs(e))';
    J     = parm.Jweights*(IAE_0./parm.IAEweights) ;
end