
clear all
clc

main   = fullfile('~/Dropbox/Documents/NTNU/Master_thesis/matlab/pareto') ;
shared = fullfile(main,'commonFiles') ;
addpath(shared)

casc = 'pid/cascade/POcasc_' ;
simc = 'pid/simc/POsimc_'    ;
pid  = 'pid/chriss/POpid_'   ;
pi   = 'pi/POpi_'            ;

modelName = {'case1', 'case2', 'case3', 'case4', 'case5', ...
             'case6', 'case7', 'case8', 'case9'} ;
ctrlRule  = {casc, simc, pid, pi} ;        % Locations of results
ctrls = {'POcasc', 'POsimc', 'POpid', 'POpi'} ; % Name of results


for ctrlId = 1:4
    fprintf('Fixing structs for %s \n', ...
            ctrlRule{ctrlId})
    for modelId = 1:9
        load(fullfile(main, 'results', [ctrlRule{ctrlId}, ...
                      modelName{modelId},'.mat'])) ;
        fprintf('Old struct:\n')
        disp(res)
        if strcmpi(res.case, modelName{modelId}) == false
            res.case = modelName{modelId} ;
            res.note = 'Gradient free' ;
        end
        names = fieldnames(res) ;
        g = false ;
        for i = 1:length(names)
            if strcmpi(names{i},'G')
                g = true ;
                continue
            elseif strcmpi(class(getfield(res,names{i})),'struct') ...
                && (strcmpi(names{i},ctrls{ctrlId})==false)
                res = setfield(res,ctrls{ctrlId},...
                      getfield(res,names{i})) ;
                res = rmfield(res,names{i}) ;
                break
            else
                continue
            end
        end
        if g == false
            G = model(modelId) ;
            res.G = G ;
        end
        save(fullfile(main,'results',[ctrlRule{ctrlId}, ...
                      modelName{modelId},'.mat'])) ;
        fprintf('The change has been implemented\n')
        fprintf('The structure now looks like this:\n')
        disp(res) ;
        fprintf('\n\n')
    end
end

