%% Header
% Purpose:  Calculation and graphical representation of pareto 
%           optimal PID controller tuning.
% Author:   Axel L??demel Holene
% E-mail:   axel.holene@gmail.com
% Date:     13. February 2013
% About:    ctrl = [Kc I D]

%% Initialising
clear all
close all
clc

%% Globals
global G cNum

startTime = cputime ;              % Start total computation time

%% Simulation, process and controller  parameters
modelName = {'case1', 'case2', 'case3'} ;      % Names for saving
modelId = 2 ;
cNum    = 1 ;                                 % Controller option
simTime = 100 ;                                 % Simulation time
MsRes   = 0.01 ;                          % Ms PO plot resolution
G       = model(modelId) ;  % Generating system transfer function

%% Start diary
diary(['diary/','diary_PO_',num2str(modelName{modelId}),'.txt'])