%% Header
% Purpose:  Recalculating between controller tuning
% Author:   Axel Lødemel Holene
% E-mail:   axel.holene@gmail.com
% Date:     13. February 2013
% About:    ctrl = [Kc KI KD]
%           pre: previous contoller option
%           post: converted controller option

function ctrl = recalc(ctrl)
    % [Kc KI KD] to [Kc I D]
    % if length(ctrl) == 3
    %     Kc = ctrl(1) + ctrl(2) + ctrl(3) ;
    %     I  = ctrl(2)/Kc ;
    %     D  = ctrl(3)/Kc ;
    %     ctrl = [Kc I D] ;
    % else
    %     Kc = ctrl(1) + ctrl(2) ;
    %     I = ctrl(2)/Kc ;
    %     ctrl = [Kc I] ;
    % end
    if length(ctrl) == 2
        Kc = ctrl(1)*(1 + 1/ctrl(2)) ;
        I = ctrl(1)/Kc/ctrl(2) ;
        ctrl = [Kc I] ;
    else
        Kc = ctrl(1)*(1 + (ctrl(3)+ctrl(2)*ctrl(3)+1)/ctrl(2)) ;
        I = ctrl(1)/Kc/ctrl(2) ;
        D = ctrl(1)*ctrl(3)/Kc ;
        ctrl = [Kc I D] ;
    end
end
