%% Header
% Purpose:  Producing controller transfer function from a set of
%           controller parameters.
% Author:   Axel Lødemel Holene
% E-mail:   axel.holene@gmail.com
% Date:     13. February 2013
% About:    ctrl = [Kc I D] 
%           C    = PO controller TF
%           Csp  = Smith Predictor struct

function Csp = smithController(ctrl)
    global G
    s = zpk('s') ;
    C      = controller(ctrl) ;
    Csp.tf = C.tf/(1 + C.tf*G.tfnd*(1 - exp(-G.theta*s))) ;
end