%% Header
% Purpose:  Returning init. values for optimization from model ID
% Author:   Axel Lodemel Holene
% E-mail:   axel.holene@gmail.com
% Date:     13. February 2013
% About:    init = [iae_y ; iae_d ; pareto]

function init = smithInit(modelId)
    global cNum
    
    fprintf('Controller number: %d\n', cNum)
    fprintf('Model ID: %d\n', modelId) 

    switch cNum
        case 1
            fprintf('Initial values 1:%d chosen\n', ...
                    modelId)
            switch modelId
                case 1
                    init = [0.8540 0.4185 ;
                            0.8287 0.4377 ;
                            0.5089 0.4934 ] ;
                case 2
                    init = [0.8647 0.3781 ;
                            0.8324 0.4001 ;
                            0.4158 0.4039 ] ;
                case 3
                    init = [0.8803 0.4439 ; 
                            0.8579 0.4622 ; 
                            0.4338 0.4640 ] ;
                case 4
                    init = [1.7960 0.4054 ;
                            1.7024 0.4602 ;
                            0.8020 0.4633 ] ;
                case 5
                    init = [1.3179 0.3681 ;
                            1.2454 0.4088 ;
                            0.5983 0.4145 ] ;
                case 6
                    init = [2.7077 0.4360 ;
                            2.6025 0.5145 ;
                            4.10   0.60 ] ;
                case 7
                    init = [2.1404 0.4022 ;
                            2.0171 0.4645 ;
                            0.9347 0.4627 ] ;
                case 8
                    init = [1.5827 0.3608 ;
                            1.4804 0.4117 ;
                            0.6990 0.4152 ] ;
                case 9
                    init = [3.2223 0.4276 ;
                            3.0833 0.5222 ;
                            1.4053 0.5020 ] ;
                case 10
                    init = [1 1;
                            1 1;
                            1 1 ] ;
                case 11
                    init = [1 1;
                            1 1;
                            0.5090    0.4934 ] ;
                case 12
                    init = [1 1 ;
                            1 1 ;
                            2.1441    0.1619 ] ;
                case 13
                    init = [1 1 ;
                            1 1 ;
                            0.4398    0.7413 ] ;
            end
        case 2
            fprintf('Initial values 1:%d chosen\n', ...
                    modelId)
            switch modelId
                case 1
                    init = [0.8540 0.4185 ;
                            0.8287 0.4377 ;
                            0.5089 0.4934 ] ;
                case 2
                    init = [0.8647 0.3781 ;
                            0.8324 0.4001 ;
                            0.4158 0.4039 ] ;
                case 3
                    init = [0.8803 0.4439 ; 
                            0.8579 0.4622 ; 
                            0.4338 0.4640 ] ;
                case 4
                    init = [1.7960 0.4054 ;
                            1.7024 0.4602 ;
                            0.8020 0.4633 ] ;
                case 5
                    init = [1.3179 0.3681 ;
                            1.2454 0.4088 ;
                            0.5983 0.4145 ] ;
                case 6
                    init = [2.7077 0.4360 ;
                            2.6025 0.5145 ;
                            4.10   0.60 ] ;
                case 7
                    init = [2.1404 0.4022 ;
                            2.0171 0.4645 ;
                            0.9347 0.4627 ] ;
                case 8
                    init = [1.5827 0.3608 ;
                            1.4804 0.4117 ;
                            0.6990 0.4152 ] ;
                case 9
                    init = [3.2223 0.4276 ;
                            3.0833 0.5222 ;
                            1.4053 0.5020 ] ;
                case 10
                    init = [1 1;
                            1 1;
                            1 1 ] ;
                case 11
                    init = [1 1;
                            1 1;
                            0.5090    0.4934 ] ;
                case 12
                    init = [1 1 ;
                            1 1 ;
                            2.59    4.33 ] ;
                case 13
                    init = [1 1 ;
                            1 1 ;
                            0.4398    0.7413 ] ;
            end
        end
end


% [recalc(res.POpid.minSp.tuning); recalc(res.POpid.minD.tuning); recalc(res.POpid.minTuning.tuning(:,1))]