%% Header
% Purpose:  Returning init. values for optimization from model ID
% Author:   Axel Lodemel Holene
% E-mail:   axel.holene@gmail.com
% Date:     13. February 2013
% About:    init = [iae_y ; iae_d ; pareto]

function init = smithInit(modelId)
    global cNum
    
    fprintf('Controller number: %d\n', cNum)
    fprintf('Model ID: %d\n', modelId) 

    switch cNum
        case 1
            fprintf('Initial values 2:%d chosen\n', ...
                    modelId)
            switch modelId
                case 1
                    init = [1.8486 0.2976 0.2321 ;
                            1.9974 0.3233 0.2406 ;
                            1.1194 0.3275 0.2638 ] ;
                case 2
                    init = [2.0566 0.2547 0.2699 ;
                            2.2294 0.2809 0.2795 ;
                            1.2524 0.2873 0.3027 ] ;
                case 3
                    init = [1.7468 0.3312 0.1996 ; 
                            1.8863 0.3572 0.2076 ; 
                            1.0546 0.3603 0.2309 ] ;
                case 4
                    init = [4.4974 0.3266 0.1800 ;
                            5.2921 0.4244 0.1505 ;
                            2.6581 0.4077 0.1645 ] ;
            end
        case 2
            fprintf('Initial values 1:%d chosen\n', ...
                    modelId)
            switch modelId
                case 1
                    init = [1.8486 0.2976 0.2321 ;
                            1.9974 0.3233 0.2406 ;
                            1.1194 0.3275 0.2638 ] ;
                case 2
                    init = [2.0566 0.2547 0.2699 ;
                            2.2294 0.2809 0.2795 ;
                            1.2524 0.2873 0.3027 ] ;
                case 3
                    init = [1.7468 0.3312 0.1996 ; 
                            1.8863 0.3572 0.2076 ; 
                            1.0546 0.3603 0.2309 ] ;
                case 4
                    init = [4.4974 0.3266 0.1800 ;
                            5.2921 0.4244 0.1505 ;
                            2.6581 0.4077 0.1645 ] ;
            end
        case 3
            fprintf('Initial values 4:%d chosen\n', ...
                    modelId)
            switch modelId
                case 1
                    init = [0.2106    0.7913    0.7913] ;
                    % init = [1.1196 0.3275 0.2639] ;
                case 2
                    init = [0.2349 0.9275 0.9287] ;
                    % init = [1.2524 0.2873 0.3027] ;
                case 3
                    init = [0.2018 0.7017 0.7018] ;
                    % init = [1.0546 0.3603 0.2309] ;
                case 4
                    init = [0.5570 0.6607 0.6605] ;
                    % init = [2.6588 0.4077 0.1646] ;
            end
    end
end


% [recalc(res.POpid.minSp.tuning); recalc(res.POpid.minD.tuning); recalc(res.POpid.minTuning.tuning(:,1))]