%% Header
% Purpose:  Creating the process transfer function G (struct).
% Author:   Axel Lødemel Holene (based on work done by Martin
%           Foss (2012)).
% E-mail:   axel.holene@gmail.com
% Date:     13. February 2013
% About:    G = 
%                   k                                Process gain
%                   tau1                    Process time constant
%                   tau2                    Process time constant
%                   theta                      Process time delay
%                   tf                  Process transfer function

function G = smithModel(caseNumber)
    s = zpk('s') ;                   % Transfer function variable

    G.k     = 1   ;                         % Common process gain

    switch caseNumber
        case 1
            G.tau1  = 0 ;               % Process time constant 1
            G.theta = 1 ;                    % Process time delay
            G.tf    = 1/s*exp(-G.theta*s) ;
            return
        case 2
            G.tau1  = 1 ;               % Process time constant 1
            G.theta = 1 ;                    % Process time delay
            G.tf    = 1/(G.tau1*s + 1)*exp(-G.theta*s) ;
            return
        case 3
            G.tau1  = 8 ;               % Process time constant 1
            G.theta = 1 ;                    % Process time delay
            G.tf    = 1/(G.tau1*s + 1)*exp(-G.theta*s) ;
            return
        case 4
            G.tau1  = 0 ;               % Process time constant 1
            G.theta = 1 ;                    % Process time delay
            G.tf    = 1/(G.tau1*s + 1)*exp(-G.theta*s) ;
            return
    end
end