%% Header
% Purpose:  Creating the process transfer function G (struct).
% Author:   Axel Lødemel Holene (based on work done by Martin
%           Foss (2012)).
% E-mail:   axel.holene@gmail.com
% Date:     13. February 2013
% About:    ID = [I D] Vector of integral and derivative time
%           parms   struct of parameters
%               Ms_s
%               ctrl
%               Jweights
%               IAEweights
%               simTime

function J = smithNoGrad(ctrl, parm)
    Kc = ctrl(1) ;
    ID = ctrl(2:end) ;
    MsFun = @(Kc) parm.Ms_s - ...
            MsSmith(smithController(...
            [Kc ID])) ;                         % Fsolve function
    Kc = fzero(MsFun, Kc) ;             % Finding controller gain
    J  = smithCost([Kc ID], parm) ;       % Calling cost function
end