twice = 2 ;
exitFlag = true ;
while exitFlag 
for Ms_s = Ms_span
    parm.Ms_s = Ms_s ;               % Updating Ms setpoint value
    Jfun      = @(ctrl)smithCost(ctrl,parm) ;    % Updating cost
    cFun      = @(ctrl)smithCon(ctrl,parm);% Updating constraints
    initial(i,:) = ctrl ;% Saving starting point for optimization
    runOpt = true ;
    while runOpt
        try
            tic ;
            [ctrl J optFlag] = fmincon(Jfun,ctrl,[],[],[],...
                                       [],lb,[],cFun,opt); 
                         % Optimizing from last optimal point
            sTime(i) = toc ;    % Ending CPU time measurement
        catch
            ...
        end
        if optFlag < sFlags{sNum}
            fprintf('Unsucessful %s-routing. Fminsearching...',...
                    solvers{sNum}) ;
            if i == 1; ctrl = init(3,:) ;% Reset initial values
            else; ctrl = minTune(i-1,:); end; % Last working ctrl
            Kc = ctrl(1) ; 
            ID = ctrl(2:end) ;
            Jfun = @(ID)smithNoGrad([Kc ID], parm) ;
            try
                tic ;
                [ID J optFlag] = ...
                                fminsearch(Jfun, ID, searchOpt) ;
                sTime(i) = toc ;
            catch
                fprintf('fminsearch failed.\n')
                fprintf('Error message:\n'); disp(lasterr)
                runOpt = false ;
                exitFlag = false ;
                break
            end
        end;
            runOpt = false ;     % Opt success. Ending while.
            break
        catch
            fprintf('%s algorithm failed. ', solvers{sNum})
            sNum = sNum + 1 ;
        end
    end
    if sNum == 3
        fprintf('Using %s:\n', solvers{sNum})
        if i == 1; ctrl = init(3,:) ;  % Reset initial values
        else; ctrl = minTune(i-1,:); end; % Last working ctrl
        Kc = ctrl(1) ; 
        ID = ctrl(2:end) ;
        Jfun = @(ID)smithNoGrad([Kc ID], parm) ;
        try
            tic ;
            [ID J optFlag] = ...
                            fminsearch(Jfun, ID, searchOpt) ;
            sTime(i) = toc ;
        catch exc
            fprintf('fminsearch failed.\nGiving up.\n')
            fprintf('Error message:\n'); disp(lasterr)
            runOpt = false ;
            exitFlag = false ;
            break
        end
        MsFun = @(Kc) Ms_s - MsSmith(...
                smithController([Kc ID])) ;
        Kc = fzero(MsFun, Kc) ;
        ctrl = [Kc ID] ;
        Jfun = @(ctrl)smithCost(ctrl, parm) ; % Updating cost
        try
            fprintf('Second run sqp start')
            [ctrl J optFlag] = fmincon(Jfun, ctrl, [], ...
                                        [], [], [], lb,...
                                        [], cFun, opt);
        catch
            fprintf('Second run sqp failed')
            ctrl = [Kc ID];
        end
        C = smithController(ctrl) ;
        MsCalc = MsSmith(C) ;
        if (MsCalc > Ms_s + 1e-4)||(MsCalc < Ms_s - 1e-4)
            fprintf('Ms values differ at control calculation. ')
            fprintf('Ms_s = %0.4f, Ms = \n',Ms_s, MsCalc)
        end
        runOpt = false ; % Opt success. Ending while.
    end
    twice = 2 ;
    if exitFlag == false; break; end;
    C            = smithController(ctrl) ;% Generating controller
    minTune(i,:) = ctrl ;             % Storing controller tuning
    Ms_clcs(i)   = MsSmith(C) ;            % Calculating Ms value
    Mt_span(i)   = MtSmith(C) ;          % Corresponding Mt-value
    % ctrls{i}     = C.tf ;                 % Storing controller TF
    % ctrlRoot{i}  = zpkdata(C.tf) ;             % Extracting roots
    IAEtune(i,:) = iae(C, parm) ;            % Saving IAE weights
    Jtune(i,:)   = J    ;           % Storing cost function value
    flags(i,:)   = optFlag ;                  % Storing exit flag
    timeleft     = sum(sTime)/i*(length(Ms_span)-i)/60 ; 
                 % Estimation of time left for computations [min]
    fprintf('%.2f\t%.2f\t%.2f\t%.3f\t%.3f\t%d\t%d\t%0.2f\t\t%0.2f',...
        J,ctrl,Ms_s,Ms_clcs(i), optFlag,length(Ms_span)-i,sTime(i),timeleft)
    fprintf('\n')
    i = i + 1 ;                            % Incrementing counter
    sNum = sNum_s ;
end % Ending for-loop
exitFlag = false ;
end % Ending while-loop